# DataExchange
TKSTEP209
StepElement

# StepElement_SurfaceElementProperty Class Reference

Representation of STEP entity SurfaceElementProperty
.

`#include <StepElement_SurfaceElementProperty.hxx>`

## Public Member Functions

Standard_EXPORT | StepElement_SurfaceElementProperty ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aPropertyId, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepElement_SurfaceSectionField)&aSection)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | PropertyId () const
| Returns field PropertyId .
Standard_EXPORT void | SetPropertyId (const Handle(TCollection_HAsciiString)&PropertyId)
| Set field PropertyId .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Handle_StepElement_SurfaceSectionField | Section () const
| Returns field Section .
Standard_EXPORT void | SetSection (const Handle(StepElement_SurfaceSectionField)&Section)
| Set field Section .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thePropertyId
Handle_TCollection_HAsciiString | theDescription
Handle_StepElement_SurfaceSectionField | theSection

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_SurfaceElementProperty::StepElement_SurfaceElementProperty | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_SurfaceElementProperty::Description | ( |  | ) | const

Standard_EXPORT const StepElement_SurfaceElementProperty::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_SurfaceElementProperty::Init | ( | const Handle(TCollection_HAsciiString)& | aPropertyId,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepElement_SurfaceSectionField)& | aSection
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_SurfaceElementProperty::PropertyId | ( |  | ) | const

Standard_EXPORT Handle_StepElement_SurfaceSectionField StepElement_SurfaceElementProperty::Section | ( |  | ) | const

Standard_EXPORT void StepElement_SurfaceElementProperty::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepElement_SurfaceElementProperty::SetPropertyId | ( | const Handle(TCollection_HAsciiString)& | PropertyId | ) |

Standard_EXPORT void StepElement_SurfaceElementProperty::SetSection | ( | const Handle(StepElement_SurfaceSectionField)& | Section | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepElement_SurfaceElementProperty::theDescription `[private]`

Handle_TCollection_HAsciiString StepElement_SurfaceElementProperty::thePropertyId `[private]`

Handle_StepElement_SurfaceSectionField StepElement_SurfaceElementProperty::theSection `[private]`

The documentation for this class was generated from the following file:

- StepElement_SurfaceElementProperty.hxx